<template>
    <div>
        <p>Full Name : {{ fullName }}</p>
        <button @click="changeName">Change name</button>
    </div>
</template>

<script>
    export default {
        data(){
            return{
                firstName : 'Tony',
                lastName : 'Stark',
            }
        },
        computed: {
            fullName: {
                get(){
                    return this.firstName + ' ' + this.lastName
                },
                set(value){
                    const names = value.split(' ')
                    this.firstName = names[0]
                    this.lastName = names[1]
                }
            }
        },
        methods: {
            changeName() {
                this.fullName = 'Iron Man'
            }
        },
    }
</script>